API referenceSouls
Read a Soul
Proposed operation. Returns the company-scoped Soul projection, including its current lifecycle, immutable external identity, revision, source-asset manifest, and current capabilities. Possession of an ID is not authorization.
Authorization
bearerAuth AuthorizationBearer <token>
Organization-scoped bearer credential. Credentials are scoped, revocable, and never represented by a Soul or operation ID.
In: header
Path Parameters
soul_id*string
Company-scoped Kallfi Soul identifier.
Match
^soul_[A-Za-z0-9][A-Za-z0-9._:-]{0,126}$Length
1 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/souls/string"{ "soul_id": "string", "external_soul_id": "string", "kind": "human", "description": "string", "lifecycle": "draft", "revision": 1, "source_asset_ids": [ "string" ], "capabilities": { "responses": true, "image_generation": true, "video_generation": true }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}